# vrt_lss_merchandiser
Программный интерфейс для планирования работ торговых предствителей.

This Python package is automatically generated by the [Swagger Codegen](https://github.com/swagger-api/swagger-codegen) project:

- API version: 2.0.154686
- Package version: 2.0.154686
- Build package: io.swagger.codegen.v3.generators.python.PythonClientCodegen

## Requirements.

Python 2.7 and 3.4+

## Installation & Usage
### pip install

If the python package is hosted on Github, you can install directly from Github

```sh
pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git
```
(you may need to run `pip` with root permission: `sudo pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git`)

Then import the package:
```python
import vrt_lss_merchandiser 
```

### Setuptools

Install via [Setuptools](http://pypi.python.org/pypi/setuptools).

```sh
python setup.py install --user
```
(or `sudo python setup.py install` to install the package for all users)

Then import the package:
```python
import vrt_lss_merchandiser
```

## Getting Started

Please follow the [installation procedure](#installation--usage) and then run the following:

```python
from __future__ import print_function
import time
import vrt_lss_merchandiser
from vrt_lss_merchandiser.rest import ApiException
from pprint import pprint


# create an instance of the API class
api_instance = vrt_lss_merchandiser.AnalyticsApi(vrt_lss_merchandiser.ApiClient(configuration))
body = vrt_lss_merchandiser.AnalyticsTask() # AnalyticsTask | Запрос на аналитику

try:
    # Аналитика результатов планирования
    api_response = api_instance.analytics(body)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling AnalyticsApi->analytics: %s\n" % e)
```

## Documentation for API Endpoints

All URIs are relative to *https://api.veeroute.tech/v2*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*AnalyticsApi* | [**analytics**](docs/AnalyticsApi.md#analytics) | **POST** /merchandiser/analytics/xlsx | Аналитика результатов планирования
*CheckApi* | [**check**](docs/CheckApi.md#check) | **GET** /merchandiser/check | Проверка доступности сервиса
*ConvertApi* | [**convert_to_json**](docs/ConvertApi.md#convert_to_json) | **POST** /merchandiser/convert/json | Конвертация задачи и результата планирования
*ConvertApi* | [**convert_to_xlsx**](docs/ConvertApi.md#convert_to_xlsx) | **POST** /merchandiser/convert/xlsx | Конвертация задачи и результата планирования
*PlanApi* | [**delete_result**](docs/PlanApi.md#delete_result) | **DELETE** /merchandiser/result/{id} | Удаление результата планирования
*PlanApi* | [**get_result**](docs/PlanApi.md#get_result) | **GET** /merchandiser/result/{id} | Получение результата планирования
*PlanApi* | [**plan**](docs/PlanApi.md#plan) | **POST** /merchandiser/plan | Планирование, синхронный вызов.
*PlanApi* | [**run_plan**](docs/PlanApi.md#run_plan) | **POST** /merchandiser/run_plan | Запуск процесса планирования
*ValidateApi* | [**validate**](docs/ValidateApi.md#validate) | **POST** /merchandiser/validate | Валидация данных для планирования

## Documentation For Models

 - [AnalyticsTask](docs/AnalyticsTask.md)
 - [Capacity](docs/Capacity.md)
 - [CheckResult](docs/CheckResult.md)
 - [ConvertTask](docs/ConvertTask.md)
 - [CostReward](docs/CostReward.md)
 - [DeleteResult](docs/DeleteResult.md)
 - [EventWindow](docs/EventWindow.md)
 - [InlineResponse400](docs/InlineResponse400.md)
 - [InlineResponse401](docs/InlineResponse401.md)
 - [InlineResponse404](docs/InlineResponse404.md)
 - [InlineResponse406](docs/InlineResponse406.md)
 - [InlineResponse429](docs/InlineResponse429.md)
 - [InlineResponse500](docs/InlineResponse500.md)
 - [InlineResponse501](docs/InlineResponse501.md)
 - [InlineResponse502](docs/InlineResponse502.md)
 - [InlineResponse503](docs/InlineResponse503.md)
 - [InlineResponse504](docs/InlineResponse504.md)
 - [Location](docs/Location.md)
 - [MatrixLine](docs/MatrixLine.md)
 - [Measurements](docs/Measurements.md)
 - [MerchandiserSettings](docs/MerchandiserSettings.md)
 - [Order](docs/Order.md)
 - [OrderAction](docs/OrderAction.md)
 - [Performer](docs/Performer.md)
 - [PlanId](docs/PlanId.md)
 - [PlanResult](docs/PlanResult.md)
 - [PlanSettings](docs/PlanSettings.md)
 - [PlanStatistics](docs/PlanStatistics.md)
 - [PlanTask](docs/PlanTask.md)
 - [Routing](docs/Routing.md)
 - [RoutingMatrix](docs/RoutingMatrix.md)
 - [Shift](docs/Shift.md)
 - [Statistics](docs/Statistics.md)
 - [StopStatistics](docs/StopStatistics.md)
 - [Tariff](docs/Tariff.md)
 - [TariffPrimary](docs/TariffPrimary.md)
 - [TimeWindow](docs/TimeWindow.md)
 - [TraceData](docs/TraceData.md)
 - [TrafficMatrix](docs/TrafficMatrix.md)
 - [TransportFactor](docs/TransportFactor.md)
 - [TransportLoad](docs/TransportLoad.md)
 - [TransportType](docs/TransportType.md)
 - [Trip](docs/Trip.md)
 - [TripStatistics](docs/TripStatistics.md)
 - [TripWaitlist](docs/TripWaitlist.md)
 - [UnplannedOrder](docs/UnplannedOrder.md)
 - [ValidateResult](docs/ValidateResult.md)
 - [Validation](docs/Validation.md)
 - [Waypoint](docs/Waypoint.md)

## Documentation For Authorization


## ApiKeyAuth



## Author

support@veeroute.com
